Autor Thema: Cannot load module MQTT_DEVICE nach DSM update  (Gelesen 1409 mal)

Offline AlexDS212

  • Newbie
  • Beiträge: 2
Cannot load module MQTT_DEVICE nach DSM update
« am: 12 Dezember 2017, 20:14:27 »
Hallo,
seit 1 Jahr habe ich Fhem auf der DS212 laufen. Wir steuern damit unsere Rasensprenger und Messen den Energieverbrauch
des Hauses mit den ESP8266 Modulen.

Leider habe ich nicht aufgepasst und die Nass Station wurde auf DSM 6.1.4 upgedated.

Nun kommt die Meldung: "Cannot load module MQTT_DEVICE" im Webinterface von Fhem

Bei einem "reload 00_MQTT" kommt:

Attempt to reload Net/MQTT/Message.pm aborted.
Compilation failed in require at ./FHEM/00_MQTT.pm line 78.
BEGIN failed--compilation aborted at ./FHEM/00_MQTT.pm line 78.

In der Datei "00_MQTT.pm" steht in der Zeile 78 -> use Net::MQTT::Message

also habe ich das Modul neu installiert mit:
cpan -i Net::MQTT::Message

Meldung von cpan: Net::MQTT::Message is up to date (1.163170).

Den Thread: https://forum.fhem.de/index.php?topic=64933.0 habe ich auch schon abgearbeitet.
Leider erfolglos.

Hat einer noch eine Idee was mir die Meldung sagen möchte, und wie ich Fhem wieder zum laufen bringen kann?

Viele Grüße
Alex



Offline AlexDS212

  • Newbie
  • Beiträge: 2
Antw:Cannot load module MQTT_DEVICE nach DSM update
« Antwort #1 am: 13 Dezember 2017, 21:36:11 »
Noch mal Hallo,

im logfile steht noch:

2017.12.13 20:55:45 1: reload: Error:Modul 00_MQTT deactivated:
 Can't locate Module/Pluggable.pm in @INC (you may need to install the Module::Pluggable module)

Daraufhin habe ich:

 sudo cpan -i  Module::Pluggable

versucht. Die Antwort ist:

Module::Pluggable is up to date (5.2).

Keiner hier eine Idee wie ich das wieder zum leben erwecke??

Gruß
Alexander